/**
 * Copyright 2010 Nicholas Blair, Eric Dalquist
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *   http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package com.googlecode.ehcache.annotations.config;

import org.springframework.beans.factory.xml.NamespaceHandlerSupport;

/**
 *
 * @author Nicholas Blair, nblair@doit.wisc.edu
 * @version $Id: AnnotationDrivenEhCacheNamespaceHandler.java 135 2010-04-01 21:14:25Z eric.dalquist@gmail.com $
 */
public class AnnotationDrivenEhCacheNamespaceHandler extends NamespaceHandlerSupport {

	/* (non-Javadoc)
	 * @see org.springframework.beans.factory.xml.NamespaceHandler#init()
	 */
	public void init() {
		this.registerBeanDefinitionParser("config", new AnnotationDrivenEhCacheBeanDefinitionParser());
	}

}
